Get User

Get User

Use this endpoint to fetch specific user details
Authorized Roles : PROVIDER

Request
URI
GET
https://{api_host}/provider/users/{id}
COPY
Path Parameters
integer
id
Required

ID of the user


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns dmsUserResponseDto of type(s) application/vnd.vmware.dms-v1+json
{
    "id": 0,
    "firstName": "string",
    "lastName": "string",
    "contactNumber": "string",
    "email": "string",
    "tenantId": "string",
    "companyName": "string",
    "roles": [
        "string"
    ],
    "type": "string",
    "links": [
        {
            "rel": "string",
            "href": "string",
            "hreflang": "string",
            "media": "string",
            "title": "string",
            "type": "string",
            "deprecation": "string",
            "profile": "string",
            "name": "string"
        }
    ]
}
integer As int32 As int32
id
Optional

id

string
firstName
Optional

firstName

string
lastName
Optional

lastName

string
contactNumber
Optional

contactNumber

string
email
Optional

email

string As uuid As uuid
tenantId
Optional

tenantId

string
companyName
Optional

companyName

array of string
roles
Optional

roles

Possible values are : ORG_ADMIN, ORG_USER, PROVIDER,
string
type
Optional

type

Possible values are : TDM, LDAP,
array of Link
links
Optional

links


400

Bad Request

Operation doesn't return any data structure

404

Not found

Operation doesn't return any data structure